---
updatedAt: 2026-09-01T11:54:19.000Z
agentTools:
  projectIndex: https://api-docs.routific.com/llms.txt
---

# Fetch workspaces

Retrieve a list of workspaces in your organization

A GET request to the `/workspaces` endpoint retrieves a paginated list of workspaces belonging to your organization, including each workspace's `uuid`.

Note that the `workspaceUuid` required to address a workspace in certain v2 endpoints is returned in the response body of this endpoint.

### Request URL

[block:html]
{
  "html": "<div class=\"headline-container-article-info2GaOf2jMpV0r\"><span class=\"rm-APIMethod APIMethod APIMethod_fixedWidth APIMethod_get headline-container-api-method1Hc-Fm7uaccR\" data-testid=\"http-method\">get</span> <span class=\"headline-container-article-info-url2nV_XrjpFuVQ\" data-testid=\"serverurl\" title=\"https://api.plan.routific.com/v2/workspaces\">https://api.plan.routific.com/v2/workspaces</span></div>"
}
[/block]

### Request Payload

```json JSON
//none
```

### Sample Response Payload

```json JSON
{
  "items": [
    {
      "uuid": "0b0e4bcf-PLACEHOLDER-uuid",
      "id": 42,
      "name": "Vancouver AM"
    }
  ],
  "nextCursor": "aWQ6MTA5OTc5NA"
}
```

Here's a description of payload attributes returned in the response:

| Fields     | Type    | Description                                                                                                                                                                       |
| ---------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| uuid       | String  | Unique identifier of the workspace. Use this to address the workspace on all endpoints that require a `workspaceUuid`.                                                            |
| id         | Integer | The numeric workspace ID, used by endpoints on the v1 of the API.                                                                                                                 |
| name       | String  | Name of the workspace, as shown in the Routific UI.                                                                                                                               |
| nextCursor | String  | Optional. Pass the `nextCursor` value returned from a previous response to fetch the next page. If nextCursor value returned is `null`, there are no more Workspaces in the list. |